| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
chat.php File Reference

## Functions
| chatroom_create ($channel, $arr)
| chatroom_destroy ($channel, $arr)
| chatroom_enter ($observer_xchan, $room_id, $status, $client)
| chatroom_leave ($observer_xchan, $room_id, $client)
| chatroom_list ($uid)
| chatroom_list_count ($uid)
| chat_message ($uid, $room_id, $xchan, $text)

## Function Documentation

chat_message | ( |  | $uid,
|  |  | $room_id,
|  |  | $xchan,
|  |  | $text
| ) |  |

create a chat message via API. It is the caller's responsibility to enter the room.

chatroom_create | ( |  | $channel,
|  |  | $arr
| ) |  |

Referenced by chat_post().

chatroom_destroy | ( |  | $channel,
|  |  | $arr
| ) |  |

Referenced by chat_post().

chatroom_enter | ( |  | $observer_xchan,
|  |  | $room_id,
|  |  | $status,
|  |  | $client
| ) |  |

Referenced by chat_content().

chatroom_leave | ( |  | $observer_xchan,
|  |  | $room_id,
|  |  | $client
| ) |  |

Referenced by chat_content().

chatroom_list | ( |  | $uid | ) |

Referenced by widget_chatroom_list().

chatroom_list_count | ( |  | $uid | ) |

Referenced by nav().